APIFlights

Get a flight track

GET
/api/v1/flights/{id}/track

Authorization

bearerAuth tracks.read, flight.read.own
headerAuthorizationBearer <API key or OAuth 2.1 access token>

Send Authorization: Bearer <credential>. Create API keys in AirTrail Security settings. OAuth clients use authorization code with PKCE S256 and a resource identifier matching /api/v1.

Scope: tracks.read, flight.read.own

Path Parameters

id*integer

Flight ID.

Range1 <= value

Response Body

Track or null.

application/json
  1. response
data*|null
Example Request
curl -X GET 'https://your-instance.example/api/v1/flights/1/track'
Example Response
{  "data": {    "coordinates": [      [        0,        0      ],      [        0,        0      ]    ],    "sourceFormat": "gpx",    "sourceName": "string",    "times": [      0    ],    "groundSpeedKt": [      0    ],    "trackDeg": [      0    ],    "ground": [      true    ],    "estimated": [      true    ],    "flightId": 0,    "pointCount": 0,    "createdAt": "2019-08-24T14:15:22Z",    "updatedAt": "2019-08-24T14:15:22Z"  }}